import Vue from 'vue';
import { useWxApi } from '@/api/modules/user';
export default {
	namespaced: true,
	state: {
		// token
		token:null,
		// 用户信息
		userInfo: {},
		// 优惠券信息
		couponList:[],
	},
	mutations: {
		// 更新用户信息
		commitToken(state, data) {
			uni.setStorageSync('token',data);
			state.token = data
		},
		// 更新用户信息
		commitUserInfo(state, data) {
			uni.setStorageSync('userInfo',data);
			state.userInfo = data;
		},
		// 更新优惠券信息
		commitCouponList(state, data) {
			console.log(data);
			state.couponList = data;
		},
	},
	actions: {
		getUserCouponList({ commit, state }) {
			console.log('用户优惠券',getRegionList);
			// Vue.$u.api.getRegionList()
			// .then(({ data }) => {
			// 	console.log(data);
			// 	commit('commitCouponList', data.data);
			// })
		},
	}
}
